post
https://services.azuga.com/azuga-ws-oauth/v3/assets.json
This API allows you to view multiple assets and all their associated information in your account which helps you track and manage the asset.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Requesthttps://services.azuga.com/azuga-ws-oauth/v3/assets?limit=2&offset=0
API Response glossary
| Field | Description | Data Type |
|---|---|---|
| id | Unique identifier representing the asset | String |
| assetno | Name of the asset type | String |
| make | Make of the vehicle | String |
| model | Model of the vehicle | String |
| year | Manufactured year of the vehicle | String |
| tagNames | For Azuga internal use | String |
| groupId | Unique identifier representing the group associated with the asset | String |
| groupName | Name of the group | String |
| name | Name of the asset | String |
| deviceId | Unique identifier of the datalogger device associated with the asset | String |
| trackeeTypeId | Unique identifier representing the vehicle type 1 = Vehicle 3 = Asset | Short |
| deviceName | Serial number of the device associated with the asset | String |
| associatedTagIds | For Azuga internal use | String |
| licensePlateNo | License plate number of the vehicle | String |
| identification | Asset identification name | String |
| lastServiceDate | Last service date of the vehicle in dd/mm/yyyy format | String |
| nextServiceDate | Next service date of the vehicle in dd/mm/yyyy format | String |
| lsdTimestamp | Last service time of the vehicle in UTC milliseconds | Timestamp |
| nsdTimestamp | Next service time of the vehicle in UTC milliseconds | Timestamp |
| isShared | For Azuga internal use | Boolean |
| extensionLite | Meta-data of the extensions | Object |
| extension1Id | Unique identifier representing the extension 1 | String |
| extension2Id | Unique identifier representing the extension 2 | String |
| extension1Name | Name of the extension 1 | String |
| extension2Name | Name of the extension 2 | String |
| extensionType | For Azuga internal use | String |
| extensionEnabled | For Azuga internal use | Boolean |
| extensionLiteStr | For Azuga internal use | String |
| extension1Name | Name of the extension1 | String |
| extension2Name | Name of the extension2 | String |
| iconName | For Azuga internal use | String |
| customIcon | For Azuga internal use | Object |
| color | Hex color code which denotes the text color. Default color is red | String |
| bgColor | Hex color code which denotes the background color. Default color is red | String |
| vehicleIcon | For Azuga internal use | |
| engineRunTime | Current engine time in seconds | Integer |
| initialEngineRuntime | Initial engine run time configured in the account | Integer |
| temperatureSensorIds | Unique identifiers of the temperature sensors associated with the asset | String |
| assetTags | Tag names enclosed by # symbol Eg: "assetTags": "#5.4#" | String |
| tagsAssociated | For Azuga internal use | String |
| assetTagsNames | For Azuga internal use | String |
| fuelCardNumber | For Azuga internal use | String |
| iconUrl | For Azuga internal use | String |
| imei | IMEI of the SIM associated with the device | String |
| vehicleDeviceOdoReading | Odometer reading from the asset | Double |
| vehicleDeviceCurrentodoReading | System calculated odometer reading of the asset | Double |
| odometerReading | Rounded odometer reading from the asset | Double |
| currentOdometerReading | Rounded system calculated odometer reading of the asset | Double |
| error | Error description - if any | List<Error> |
| recordsFiltered | Total number of records to be filtered | Integer |
| offset | Allows you to specify the ranking number of the first item on the page. 0 to begin from the 1st record | Integer |
| limit | Allows you to set the number of objects returned on one page. By default, this value is set to 50. | Integer |

